QuantLib: DatedOISRateHelper Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
DatedOISRateHelper Class Reference

Rate helper for bootstrapping over Overnight Indexed Swap rates. More...

`#include <ql/termstructures/yield/oisratehelper.hpp>`

Inheritance diagram for DatedOISRateHelper:
[legend]

## Public Member Functions
| DatedOISRateHelper (const Date &startDate, const Date &endDate, const Handle< Quote > &fixedRate, const boost::shared_ptr< OvernightIndex > &overnightIndex, const Handle< YieldTermStructure > &discountingCurve=Handle< YieldTermStructure >())
RateHelper interface
Real | impliedQuote () const
void | setTermStructure (YieldTermStructure *)
Visitability
void | accept (AcyclicVisitor &)
Public Member Functions inherited from BootstrapHelper< TS >
| BootstrapHelper (const Handle< Quote > &quote)
| BootstrapHelper (Real quote)
const Handle< Quote > & | quote () const
Real | quoteError () const
virtual void | setTermStructure (TS *)
| sets the term structure to be used for pricing More...
virtual Date | earliestDate () const
| earliest relevant date More...
virtual Date | latestDate () const
| latest relevant date More...
virtual void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Attributes
boost::shared_ptr< OvernightIndexedSwap > | swap_
RelinkableHandle< YieldTermStructure > | termStructureHandle_
Handle< YieldTermStructure > | discountHandle_
RelinkableHandle< YieldTermStructure > | discountRelinkableHandle_
Protected Attributes inherited from BootstrapHelper< TS >
Handle< Quote > | quote_
TS * | termStructure_
Date | earliestDate_
Date | latestDate_

## Detailed Description

Rate helper for bootstrapping over Overnight Indexed Swap rates.